Reminder: Use Java 6 for EBS on Sun, Windows, Linux Platforms

Several threads have crossed my inbox lately about Java 5 (a.k.a. JDK 1.5).  If you're running your E-Business Suite servers on on Linux, Windows, or Sun operating system platforms, you should be reminded that the End of Service Life for Java 5.0 was on October 30, 2009. 

SunJavaSEdownloadpagescreen2.jpg
That End of Service Life (EOSL) date for Java 5 applies to Java Standard Edition (Java SE) release families.  You have the option of migrating to Java Standard Edition for Business, which offers longer End of Service Life windows for different Java releases -- for example, up to June 2019 for Java 5.  I am not a Java licencing specialist, but my understanding is that Java Standard Edition for Business comes at an additional cost. For information about Java licencing, I would recommend contacting your Oracle account manager. 

For more details about the support-related differences between Java SE and Java for Business, see:
Does this affect your environments?

If all of the following apply to your environment:
  1. Your servers are running on Linux, Sun, or Windows operating systems
  2. Your servers are running either Java Standard Edition 4 (1.4) or 5 (1.5)
Then you must do one of the following:
  1. Migrate to the Java Standard Edition for Business release of your choice
  2. Upgrade to Java Standard Edition 6 (1.6)
For details about upgrading E-Business Suite environments to Java 6, see:
What about other server operating systems?

If you're running either HP-UX or IBM AIX, your Java release on those operating system platforms is supported by Hewlett-Packard and IBM, respectively.  You should check with those vendors for their End of Service Life dates for Java.

What are the support implications if I don't upgrade?

Here's a hypothetical situation: let's say that you haven't migrated to Java SE for Business or upgraded to Java SE 6.  You report an E-Business Suite issue that turns out to be related to either Java 1.5 or 1.5.  What are the support implications?

EBS Support will attempt to reproduce the issue on an Oracle Support environment.  Chances are high that that environment will already be upgraded to Java 6. 

If the issue cannot be reproduced on an environment running Java 6, it is likely that Oracle Support will recommend that you upgrade your environment to Java 6 before proceeding with further diagnostics or analysis.

Generally speaking, EBS Development will provide Java-related patches for Sun, Linux, and Windows-based issues that can be reproduced on Java 6.

Related Articles

Comments:

Hi Steve,

I had reported a problem regarding a jre file which seems to be a corrupted one to the [edelivery_ww@oracle.com]

Issue is explained in detail below

I haven’t got any response from E-delivery team regarding the below issue Which was reported on last Wednesday. Can you please get an update from your team on this ?
Or Is there any other team that I should be reporting this issue.

Q) Can you provide me with a more detailed
description of the product and problem you are encountering?

Answer
--------

1. Go to http://www.oracle.com/technetwork/java/javase/downloads/index.html
2. Click on JRE, under " JDK 6 Update 21"

This will redirect you to the link
https://cds.sun.com/is-bin/INTERSHOP.enfinity/WFS/CDS-CDS_Developer-Site/en_US/-/USD/ViewProductDetail-Start?ProductRef=jre-6u21-oth-JPR@CDS-CDS_Developer

3. Select Platform - Solaris SPARC
4. Check "I agree"
5. Click "Continue"
6. Download "jre-6u21-solaris-sparc.sh" [24.81 MB]

When I run this file on my unix machine,

[oracle@xxxxx ~]$ ./jre-6u21-solaris-sparc1.sh Unpacking...
Checksumming...
The download file appears to be corrupted. Please refer to the Troubleshooting section of the Installation Instructions on the download page for more information.
Please do not attempt to install this archive file.

Q) DOWNLOAD PAGE URL (ADDRESS)?

Answer
--------

1. Go to http://www.oracle.com/technetwork/java/javase/downloads/index.html
2. Click on JRE, under " JDK 6 Update 21"

This will redirect you to the link
https://cds.sun.com/is-bin/INTERSHOP.enfinity/WFS/CDS-CDS_Developer-Site/en_US/-/USD/ViewProductDetail-Start?ProductRef=jre-6u21-oth-JPR@CDS-CDS_Developer

3. Select Platform - Solaris SPARC
4. Check "I agree"
5. Click "Continue"
6. Download "jre-6u21-solaris-sparc.sh" [24.81 MB]

Q) FULL PRODUCT NAME/VERSION?

Answer
--------
Product Name - Java SE Runtime Environment 6u21 for Solaris SPARC Version - 6u21 File Name - jre-6u21-solaris-sparc.sh File Size - [24.81 MB]

Q) DETAILED DESCRIPTION OF YOUR PROBLEM (SCREEN-SHOTS IF POSSIBLE).
I have explained the problem

Q) EXACT ERROR MESSAGE?
[oracle@xxxxx ~]$ ./jre-6u21-solaris-sparc.sh Unpacking...
Checksumming...
The download file appears to be corrupted. Please refer to the Troubleshooting section of the Installation Instructions on the download page for more information.
Please do not attempt to install this archive file.

Q) HOW CAN YOU DETERMINE THAT THE FILE IS CORRUPT? PLEASE PROVIDE MORE EXPLANATION

[oracle@xxxxxx ~]$ ./jre-6u21-solaris-sparc.sh Unpacking...
Checksumming...
The download file appears to be corrupted. Please refer to the Troubleshooting section of the Installation Instructions on the download page for more information.
Please do not attempt to install this archive file.

Q) I'm assuming you downloaded this multiple times to make sure it was not just a 1 time download corruption?

We have downloaded it a multiple times and tried.
The previous version of jre is working fine " jre-6u20-solaris-sparc.sh"

Regards,
Famy

Posted by Famy on September 05, 2010 at 01:01 PM PDT #

Hi, Famy,

I'm sorry to hear that you're encountering a problem with E-Delivery. I'm afraid that I don't have any visibility into the E-Delivery support process. If you're not having any luck with their posted instructions for getting assistance, I would recommend logging a formal Service Request against the Sun JRE team via My Oracle Support (formerly Metalink) to get one of those specialists engaged.

Regards,
Steven

Posted by Steven Chan on September 07, 2010 at 02:00 AM PDT #

Just had similar problem with jre-6u21-solaris-sparc.sh - tried FTPing the install file across with both WinSCP and Filezilla but eventually just used command line FTP and it then installed fine

Posted by shane on September 30, 2010 at 06:55 PM PDT #

sudo ./jre-6u45-linux-x64.bin
Unpacking...
Checksumming...
The download file appears to be corrupted. Please refer
to the Troubleshooting section of the Installation
Instructions on the download page for more information.
Please do not attempt to install this archive file.

what should i do ?

Posted by guest on November 08, 2013 at 01:11 PM PST #

Hello, Guest,

I'd recommended deleting your current download and try downloading a fresh version.

Regards,
Steven

Posted by Steven Chan on November 08, 2013 at 01:31 PM PST #

Post a Comment:
  • HTML Syntax: NOT allowed
About

Search

Categories
Archives
« April 2014
SunMonTueWedThuFriSat
  
1
4
5
6
7
8
9
10
11
12
13
14
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
Today